Match Summary V3

The MatchSummary endpoint returns the complete statistical summary of a match. This version is much faster than the previous version and provides a more comprehensive. It includes:
  • Match metadata
  • Stadium and referee information
  • Final score
  • Coaches of both teams
  • Detailed performance statistics for both teams
The statistical data covers multiple analytical categories including:
  • Passing
  • Crossing
  • Long passes
  • Ball possession
  • Defensive actions
  • Expected Threat (xT)
  • Expected Goals (xG)
  • Attempts and chances
  • Cards and fouls
  • Dribbles
  • Ball recoveries
  • Possession time and touches
This endpoint is typically used for:
  • Post-match analysis dashboards
  • Broadcast statistics
  • Match reports
  • Data analytics platforms
  • Performance evaluation tools
GET /api.php

Parameters

module
string
Always use api
api
string
The API name. Use MatchSummary
version
string
API version. Use V3
response
string
Output format (json or xml)
lang
string
Language of returned text (en or ar)
match_id
integer
The unique identifier of the match

Example Request

curl --request GET \
--url "https://premium.korastats.pro/api.php?module=api&api=MatchSummary&version=V2&response=json&lang=en&match_id=[MATCH_ID]"
{
    "result": true,
    "title": "Success",
    "message": "Match summary retrieved successfully",
    "object": {
        "_type": "MATCH_SUMMARY",
        "matchId": 79355,
        "tournament": {
            "id": 582,
            "name": "AFCON Women"
        },
        "season": {
            "id": 1356,
            "name": "Morocco 2025"
        },
        "stage": {
            "id": 2348,
            "name": "3rd Place Final"
        },
        "group": {
            "id": 3223,
            "name": "Main"
        },
        "round": 1,
        "dateTime": "2025-07-25 22:00:00",
        "lastUpdateDateTime": "2025-07-27 20:40:25",
        "stadium": {
            "id": 1230,
            "name": "Stade Larbi Zaouli"
        },
        "referee": {
            "id": 1362,
            "name": "Shahenda Elmagrby"
        },
        "assistant1": {
            "id": 1435,
            "name": "Yara Atef"
        },
        "assistant2": {
            "id": 1711,
            "name": "Afine Houda"
        },
        "score": {
            "home": 1,
            "away": 1
        },
        "stats": {
            "home": {
                "23252": {
                    "Pass": {
                        "All": {
                            "Success": 194,
                            "Total": 303,
                            "Accuracy": 0.64
                        },
                        "Long": {
                            "Success": 17,
                            "Total": 57,
                            "Accuracy": 0.3
                        },
                        "Short": {
                            "Total": 228,
                            "Success": 171,
                            "Accuracy": 0.75
                        },
                        "Total": 303,
                        "Success": 194,
                        "Accuracy": 0.64
                    },
                    "Cross": {
                        "All": {
                            "Success": 6,
                            "Total": 18,
                            "Accuracy": 0.33
                        },
                        "OpenPlay": {
                            "Success": 3,
                            "Total": 11,
                            "Accuracy": 0.27
                        },
                        "SetPiece": {
                            "Success": 3,
                            "Total": 7,
                            "Accuracy": 0.43
                        },
                        "Total": 18,
                        "Success": 6,
                        "Accuracy": 0.33
                    },
                    "BallLost": {
                        "Total": 32,
                        "UnderPressure": 22,
                        "Aerial": 10
                    },
                    "BallWon": {
                        "Total": 120,
                        "TackleWon": 10,
                        "InterceptionWon": 40,
                        "Aerial": 9,
                        "BallRecover": 61
                    },
                    "Attempts": {
                        "Total": 14,
                        "Success": 2,
                        "PenaltyMissed": 0,
                        "Bars": 2,
                        "OneOnOneMissed": 1,
                        "Saved": 2,
                        "Blocked": 2,
                        "OffTarget": 8,
                        "AttemptToScore": 14,
                        "SuccessAttemptToScore": 2,
                        "Accuracy": 0.14
                    },
                    "Cards": {
                        "Yellow": 3,
                        "SecondYellow": 0,
                        "Red": 0
                    },
                    "Fouls": {
                        "Committed": 17,
                        "Awarded": 12,
                        "CommittedInDefensiveThird": 1,
                        "AwardedInOffensiveThird": 0
                    },
                    "Chances": {
                        "Assists": 0,
                        "KeyPasses": 11,
                        "ChancesCreated": 11
                    },
                    "GoalsConceded": {
                        "OwnGoals": 0,
                        "Total": 1,
                        "XGA": 1.17
                    },
                    "Admin": {
                        "MatchesPlayed": 1,
                        "Corners": 6,
                        "Offside": 1,
                        "Win": 0,
                        "Draw": 1,
                        "Lost": 0
                    },
                    "Possession": {
                        "Touches": {
                            "Average": 0.44,
                            "T_0_15": 0.37,
                            "T_15_30": 0.53,
                            "T_30_45": 0.45,
                            "T_45_60": 0.44,
                            "T_60_75": 0.47,
                            "T_75_90": 0.42,
                            "T_90_105": 0,
                            "T_105_120": 0
                        },
                        "Time": {
                            "Average": 989.38,
                            "T_0_15": 97.97,
                            "T_15_30": 208.93,
                            "T_30_45": 179.45,
                            "T_45_60": 157.94,
                            "T_60_75": 156.64,
                            "T_75_90": 188.45,
                            "T_90_105": 0,
                            "T_105_120": 0
                        },
                        "TimePercent": {
                            "Average": 0.48,
                            "T_0_15": 0.31,
                            "T_15_30": 0.56,
                            "T_30_45": 0.44,
                            "T_45_60": 0.52,
                            "T_60_75": 0.58,
                            "T_75_90": 0.47,
                            "T_90_105": 0,
                            "T_105_120": 0
                        },
                        "SuspeciousTime": 1447.32
                    },
                    "GoalsScored": {
                        "Head": 0,
                        "PenaltyScored": 0,
                        "Total": 1,
                        "RightFoot": 0,
                        "LeftFoot": 0,
                        "Other": 0,
                        "XG": 3.98,
                        "SetPiece": 0,
                        "OwnGoals": 1,
                        "T_0_15": 0,
                        "T_15_30": 0,
                        "T_30_45": 0,
                        "T_45_60": 0,
                        "T_60_75": 1,
                        "T_75_90": 0,
                        "T_90_105": 0,
                        "T_105_120": 0
                    },
                    "BallReceive": {
                        "Success": 195,
                        "Fail": 0,
                        "Total": 195,
                        "Accuracy": 1
                    },
                    "Penalty": {
                        "Committed": 0,
                        "Awarded": 0
                    },
                    "Defensive": {
                        "GoalsSaved": 0,
                        "Blocks": 2,
                        "OpportunitySaved": 0,
                        "PPDA": 2.09,
                        "PPDAZoneHigh": 3.58,
                        "PPDAZoneMid": 1.83,
                        "PPDAZoneLow": 0.72,
                        "TackleFail": 5,
                        "TackleClear": 12,
                        "InterceptionClear": 49,
                        "Clear": 3,
                        "Cleansheet": 0,
                        "xGA": 1.17
                    },
                    "Dribble": {
                        "Success": 2,
                        "Fail": 0,
                        "Total": 2,
                        "Accuracy": 1
                    },
                    "ShortPass": {
                        "Total": 228,
                        "Success": 171,
                        "Accuracy": 0.75
                    },
                    "LongPass": {
                        "Total": 57,
                        "Success": 17,
                        "Accuracy": 0.3
                    },
                    "OpenPlayCross": {
                        "Total": 11,
                        "Success": 3,
                        "Accuracy": 0.27
                    },
                    "SetPieceCross": {
                        "Total": 7,
                        "Success": 3,
                        "Accuracy": 0.43
                    }
                }
            },
            "away": {
                "2140": {
                    "Pass": {
                        "All": {
                            "Success": 287,
                            "Total": 398,
                            "Accuracy": 0.72
                        },
                        "Long": {
                            "Success": 28,
                            "Total": 59,
                            "Accuracy": 0.47
                        },
                        "Short": {
                            "Total": 336,
                            "Success": 259,
                            "Accuracy": 0.77
                        },
                        "Total": 398,
                        "Success": 287,
                        "Accuracy": 0.72
                    },
                    "Cross": {
                        "All": {
                            "Success": 0,
                            "Total": 3,
                            "Accuracy": 0
                        },
                        "OpenPlay": {
                            "Success": 0,
                            "Total": 0,
                            "Accuracy": 0
                        },
                        "SetPiece": {
                            "Success": 0,
                            "Total": 3,
                            "Accuracy": 0
                        },
                        "Total": 3,
                        "Success": 0,
                        "Accuracy": 0
                    },
                    "BallLost": {
                        "Total": 32,
                        "UnderPressure": 24,
                        "Aerial": 8
                    },
                    "BallWon": {
                        "Total": 114,
                        "TackleWon": 8,
                        "InterceptionWon": 21,
                        "Aerial": 11,
                        "BallRecover": 74
                    },
                    "Attempts": {
                        "Total": 7,
                        "Success": 3,
                        "PenaltyMissed": 0,
                        "Bars": 0,
                        "OneOnOneMissed": 0,
                        "Saved": 2,
                        "Blocked": 2,
                        "OffTarget": 2,
                        "AttemptToScore": 7,
                        "SuccessAttemptToScore": 3,
                        "Accuracy": 0.43
                    },
                    "Cards": {
                        "Yellow": 1,
                        "SecondYellow": 0,
                        "Red": 0
                    },
                    "Fouls": {
                        "Committed": 12,
                        "Awarded": 17,
                        "CommittedInDefensiveThird": 0,
                        "AwardedInOffensiveThird": 1
                    },
                    "Chances": {
                        "Assists": 0,
                        "KeyPasses": 4,
                        "ChancesCreated": 4
                    },
                    "GoalsConceded": {
                        "OwnGoals": 0,
                        "Total": 1,
                        "XGA": 3.98
                    },
                    "Admin": {
                        "MatchesPlayed": 1,
                        "Corners": 3,
                        "Offside": 3,
                        "Win": 0,
                        "Draw": 1,
                        "Lost": 0
                    },
                    "Possession": {
                        "Touches": {
                            "Average": 0.56,
                            "T_0_15": 0.63,
                            "T_15_30": 0.47,
                            "T_30_45": 0.55,
                            "T_45_60": 0.56,
                            "T_60_75": 0.53,
                            "T_75_90": 0.58,
                            "T_90_105": 0,
                            "T_105_120": 0
                        },
                        "Time": {
                            "Average": 1087.93,
                            "T_0_15": 220.7,
                            "T_15_30": 163.09,
                            "T_30_45": 232.12,
                            "T_45_60": 145.13,
                            "T_60_75": 113.06,
                            "T_75_90": 213.84,
                            "T_90_105": 0,
                            "T_105_120": 0
                        },
                        "TimePercent": {
                            "Average": 0.52,
                            "T_0_15": 0.69,
                            "T_15_30": 0.44,
                            "T_30_45": 0.56,
                            "T_45_60": 0.48,
                            "T_60_75": 0.42,
                            "T_75_90": 0.53,
                            "T_90_105": 0,
                            "T_105_120": 0
                        },
                        "SuspeciousTime": 1447.32
                    },
                    "GoalsScored": {
                        "Head": 0,
                        "PenaltyScored": 0,
                        "Total": 1,
                        "RightFoot": 1,
                        "LeftFoot": 0,
                        "Other": 0,
                        "XG": 1.17,
                        "SetPiece": 0,
                        "OwnGoals": 0,
                        "T_0_15": 0,
                        "T_15_30": 0,
                        "T_30_45": 1,
                        "T_45_60": 0,
                        "T_60_75": 0,
                        "T_75_90": 0,
                        "T_90_105": 0,
                        "T_105_120": 0
                    },
                    "BallReceive": {
                        "Success": 290,
                        "Fail": 0,
                        "Total": 290,
                        "Accuracy": 1
                    },
                    "Penalty": {
                        "Committed": 0,
                        "Awarded": 0
                    },
                    "Defensive": {
                        "GoalsSaved": 0,
                        "Blocks": 2,
                        "OpportunitySaved": 0,
                        "PPDA": 1.6,
                        "PPDAZoneHigh": 6,
                        "PPDAZoneMid": 1.57,
                        "PPDAZoneLow": 0.63,
                        "TackleFail": 2,
                        "TackleClear": 14,
                        "InterceptionClear": 55,
                        "Clear": 3,
                        "Cleansheet": 0,
                        "xGA": 3.98
                    },
                    "Dribble": {
                        "Success": 5,
                        "Fail": 0,
                        "Total": 5,
                        "Accuracy": 1
                    },
                    "ShortPass": {
                        "Total": 336,
                        "Success": 259,
                        "Accuracy": 0.77
                    },
                    "LongPass": {
                        "Total": 59,
                        "Success": 28,
                        "Accuracy": 0.47
                    },
                    "OpenPlayCross": {
                        "Total": 0,
                        "Success": 0,
                        "Accuracy": 0
                    },
                    "SetPieceCross": {
                        "Total": 3,
                        "Success": 0,
                        "Accuracy": 0
                    }
                }
            }
        }
    }
}